> ## Name

> cgGetSamplerStateAssignmentState - get a sampler-valued state assignment's state

> ## Synopsis

>     #include <Cg/cg.h>

>     CGstate cgGetSamplerStateAssignmentState( CGstateassignment sa );

> ## Parameters

> sa
>   The state assignment.

> ## Return Values

> Returns a CGstate handle for the state.

> Returns NULL if the handle sa is invalid.

> ## Description

> cgGetSamplerStateAssignmentState allows the application to retrieve the state of a state assignment that stores a sampler.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> ## History

> cgGetSamplerStateAssignmentState was introduced in Cg 1.4.

> ## See Also

> cgGetFirstSamplerStateAssignment, cgGetNamedSamplerStateAssignment, cgGetSamplerStateAssignmentParameter, cgGetSamplerStateAssignmentValue